com.pixelmed.display

## Class DemographicAndTechniqueAnnotations

- java.lang.Object
- - com.pixelmed.display.DemographicAndTechniqueAnnotations

- Direct Known Subclasses:
    IconDemographicAndTechniqueAnnotations, MammoDemographicAndTechniqueAnnotations

      public class DemographicAndTechniqueAnnotations
      extends java.lang.Object

  A class to extract selected DICOM annotative attributes into defined displayed area relative positions.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `DemographicAndTechniqueAnnotations.AnnotationLayoutConfigurationEntry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `ABBREVPHOTO`
    `protected static int` | `CALLFUNCTION`
    `protected static int` | `CODEMEANING`
    `protected static int` | `DIRECTIONVECTOR`
    `protected static int` | `EXPOSURE`
    `protected static int` | `EXPOSURETIME`
    `protected static int` | `FRAMENUMBER`
    `protected static int` | `IMAGETYPE`
    `protected static int` | `JUSTTIME`
    `protected java.util.Vector` | `layout`
    `protected static int` | `LOSSYCOMPRESSED`
    `protected static java.lang.String` | `multipleCodeMeaningDelimiter`
    `protected static int` | `NOSPECIAL`
    `protected static int` | `ORIENTLABEL`
    `protected static int` | `PIXELREPN`
    `protected static int` | `SLICESPACING`
    `protected static int` | `TEXTIFYESNO`
    `protected static int` | `XRAYTUBECURRENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DemographicAndTechniqueAnnotations(AttributeList list)`
    `DemographicAndTechniqueAnnotations(AttributeList list, GeometryOfVolume geometry)`
    `DemographicAndTechniqueAnnotations(AttributeList list, GeometryOfVolume geometry, boolean swapLeftRight)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getValueByCallingFunction(AttributeList list)` Return a string value from the supplied list of attributes.
    `protected void` | `initializeDefaultLayout()`
    `java.util.Iterator` | `iterator(int frameIndex)` Get the annotations for the selected frame.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOSPECIAL

          protected static final int NOSPECIAL

      See Also:
        Constant Field Values

    - #### JUSTTIME

          protected static final int JUSTTIME

      See Also:
        Constant Field Values

    - #### SLICESPACING

          protected static final int SLICESPACING

      See Also:
        Constant Field Values

    - #### FRAMENUMBER

          protected static final int FRAMENUMBER

      See Also:
        Constant Field Values

    - #### IMAGETYPE

          protected static final int IMAGETYPE

      See Also:
        Constant Field Values

    - #### PIXELREPN

          protected static final int PIXELREPN

      See Also:
        Constant Field Values

    - #### CODEMEANING

          protected static final int CODEMEANING

      See Also:
        Constant Field Values

    - #### ORIENTLABEL

          protected static final int ORIENTLABEL

      See Also:
        Constant Field Values

    - #### ABBREVPHOTO

          protected static final int ABBREVPHOTO

      See Also:
        Constant Field Values

    - #### LOSSYCOMPRESSED

          protected static final int LOSSYCOMPRESSED

      See Also:
        Constant Field Values

    - #### TEXTIFYESNO

          protected static final int TEXTIFYESNO

      See Also:
        Constant Field Values

    - #### CALLFUNCTION

          protected static final int CALLFUNCTION

      See Also:
        Constant Field Values

    - #### DIRECTIONVECTOR

          protected static final int DIRECTIONVECTOR

      See Also:
        Constant Field Values

    - #### XRAYTUBECURRENT

          protected static final int XRAYTUBECURRENT

      See Also:
        Constant Field Values

    - #### EXPOSURETIME

          protected static final int EXPOSURETIME

      See Also:
        Constant Field Values

    - #### EXPOSURE

          protected static final int EXPOSURE

      See Also:
        Constant Field Values

    - #### layout

          protected java.util.Vector layout

    - #### multipleCodeMeaningDelimiter

          protected static final java.lang.String multipleCodeMeaningDelimiter

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DemographicAndTechniqueAnnotations

          public DemographicAndTechniqueAnnotations(AttributeList list)

      Parameters:
        `list` - the DICOM attributes of a single or multi-frame image

    - #### DemographicAndTechniqueAnnotations

          public DemographicAndTechniqueAnnotations(AttributeList list,
                                                    GeometryOfVolume geometry)

      Parameters:
        `list` - the DICOM attributes of a single or multi-frame image
        `geometry` - the geometry of a single or multi-frame image (or null if no 3D coordinate system)

    - #### DemographicAndTechniqueAnnotations

          public DemographicAndTechniqueAnnotations(AttributeList list,
                                                    GeometryOfVolume geometry,
                                                    boolean swapLeftRight)

      Parameters:
        `list` - the DICOM attributes of a single or multi-frame image
        `geometry` - the geometry of a single or multi-frame image (or null if no 3D coordinate system)
        `swapLeftRight` - whether the sides (left and right) to annotate are to be swapped

  - ### Method Detail

    - #### initializeDefaultLayout

          protected void initializeDefaultLayout()

    - #### getValueByCallingFunction

          protected java.lang.String getValueByCallingFunction(AttributeList list)

      Return a string value from the supplied list of attributes.

      Overridden by children of this class when specific functionality is needed.

      Parameters:
        `list` - ignored, unless the method is overriden in a child class
      Returns:
        a string value, of zero length unless the method is overriden in a child class

    - #### iterator

          public java.util.Iterator iterator(int frameIndex)

      Get the annotations for the selected frame.

      Parameters:
        `frameIndex` - which frame
      Returns:
        an iterator of annotations of `TextAnnotationPositioned`